| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Digikam::BatchToolSet Class Reference

A container of associated batch tool and settings.

## Public Member Functions
bool | operator== (const BatchToolSet &set) const
| Equality operator which check index, version, name, and group data.

## Public Attributes
BatchTool::BatchToolGroup | group = BatchTool::BaseTool
int | index = -1
| Tool identifier data. Index is tool ID from assigned list.
QString | name
BatchToolSettings | settings
| Settings hosted in this container.
int | version = 0

## Member Function Documentation

## ◆ operator==()

bool Digikam::BatchToolSet::operator== | ( | const BatchToolSet & | set | ) | const

Settings member is ignored.